=== debian/changelog ===
dpaste (0.4.0-1) unstable; urgency=medium

  * Initial release. Closes: #866359

 -- Simon Désaulniers <sim.desaulniers@gmail.com>  Tue, 12 May 2020 20:34:09 -0400
