=== debian/control ===
Source: dpaste
Section: misc
Priority: optional
Maintainer: Simon Désaulniers <sim.desaulniers@gmail.com>
Build-Depends:
    debhelper (>=11~),
    pkg-config,
    libopendht-dev,
    libargon2-dev,
    libcurlpp-dev,
    libglibmm-2.4-dev,
    libb64-dev,
    nlohmann-json3-dev,
    libcurl4-gnutls-dev | libcurl4-nss-dev | libcurl4-openssl-dev,
    libgpgme-dev,
    libgpgmepp-dev
Standards-Version: 4.1.4
Homepage: https://github.com/sim590/dpaste
Vcs-Browser: https://salsa.debian.org/sim590-guest/dpaste
Vcs-Git: https://salsa.debian.org/sim590-guest/dpaste.git
Rules-Requires-Root: no

Package: dpaste
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pastebin using OpenDHT distributed hash table
 This package provides dpaste, a distributed pastebin which requires no central
 server to paste your files (up to a size of 64KiB).
