=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

#  vim: set sts=0 ts=4 sw=4 tw=120 noet :
